%define major	0
%define libname	%mklibname rx %{major}
%define devname	%mklibname rx -d

Summary:	POSIX regexp functions
Name:		librx
Version:	1.5
Release:	%mkrel 14
License:	GPLv2+
URL:		https://www.gnu.org/software/rx/rx.html
Group:		Text tools
Source0:	https://ftp.gnu.org/gnu/rx/rx-%{version}.tar.bz2
Patch0:		rx-1.5-shared.patch
Patch1:		rx-1.5-texinfo.patch
Patch2:		librx-1.5-libdir64.patch
Patch3:		rx-libtool.patch
BuildRequires:	texinfo
BuildRequires:	libtool

%description
Rx is, among other things, an implementation of the interface
specified by POSIX for programming with regular expressions.  Some
other implementations are GNU regex.c and Henry Spencer's regex
library.

%package -n %{libname}
Summary:	POSIX regexp functions, shared libraries
Group:		System/Libraries
Obsoletes:	%{name} < 1.5-6

%description -n %{libname}
Rx is, among other things, an implementation of the interface
specified by POSIX for programming with regular expressions.  Some
other implementations are GNU regex.c and Henry Spencer's regex
library.

This package contains shared libraries.

%package -n %{devname}
Summary:	POSIX regexp functions, developers library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{name}-devel < 1.5-6
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Rx is, among other things, an implementation of the interface
specified by POSIX for programming with regular expressions.  Some
other implementations are GNU regex.c and Henry Spencer's regex
library.

This package contains files needed for development with librx.

%prep
%setup -q -n rx-%{version}
%patch0 -p1
%patch1 -p1 -b .texipatch
%ifarch x86_64 ppc64 sparc64 aarch64
%patch2 -p1 -b .64bit
%endif
%patch3 -p1

%build
%configure --disable-static
%make_build
make doc/rx.info

%install
mkdir -p %{buildroot}%{_infodir}
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_includedir}
%make_install
install -m 644 doc/rx.info %{buildroot}%{_infodir}
rm -rf %{buildroot}%{_libdir}/librx.la
rm -rf %{buildroot}%{_libdir}/librx.a
chmod -x %{buildroot}%{_includedir}/rxposix.h

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{devname}
%doc ANNOUNCE BUILDING COOKOFF rx/ChangeLog
%{_includedir}/*
%{_infodir}/*
%{_libdir}/%{name}.so


%changelog
* Thu Mar 17 2022 umeabot <umeabot> 1.5-14.mga9
+ Revision: 1797443
- Mageia 9 Mass Rebuild

* Wed Aug 19 2020 ovitters <ovitters> 1.5-13.mga8
+ Revision: 1616014
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Thu Mar 05 2020 umeabot <umeabot> 1.5-12.mga8
+ Revision: 1554054
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.5-11.mga7
+ Revision: 1299132
- Mageia 7 Mass Rebuild

* Sat Jun 23 2018 wally <wally> 1.5-10.mga7
+ Revision: 1239236
- fix build on aarch64
- use new make macros

* Mon Jan 04 2016 tv <tv> 1.5-9.mga6
+ Revision: 919415
- remove static library

* Wed Oct 15 2014 umeabot <umeabot> 1.5-8.mga5
+ Revision: 746869
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5-7.mga5
+ Revision: 681768
- Mageia 5 Mass Rebuild

* Fri Aug 08 2014 wally <wally> 1.5-6.mga5
+ Revision: 661146
- fix libification

* Fri Oct 18 2013 umeabot <umeabot> 1.5-5.mga4
+ Revision: 507325
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.5-4.mga3
+ Revision: 358122
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 fwang <fwang> 1.5-3.mga3
+ Revision: 305794
- cleanup spec

* Thu Mar 24 2011 rtp <rtp> 1.5-3.mga1
+ Revision: 77140
- fix libtool usage
+ ennael <ennael>
- clean spec file
- imported package librx


* Sun Jul 27 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.5-3mdv2009.0
+ Revision: 250466
- rebuild
- fix no-buildroot-tag

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Jan 21 2008 Emmanuel Andry <eandry@mandriva.org> 1.5-1mdv2008.1
+ Revision: 155447
- fix devel group
- add BR libtool
- fix group
- import librx


